Skip to content
getgeolens.com

Share Map Endpoint

POST
/maps/{map_id}/share/
curl --request POST \
--url https://example.com/api/maps/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/share/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expires_at": "2026-04-15T12:00:00Z" }'

Create or retrieve a share token for a public map.

map_id
required
Map Id
string format: uuid
Media type application/json
Any of:
ShareTokenRequest
object
expires_at
Any of:
string format: date-time
Example generated
{
"expires_at": "2026-04-15T12:00:00Z"
}

Successful Response

Media type application/json
ShareTokenResponse
object
token
required
Token

Raw token on create, hint on retrieve

string
share_url
Any of:
string
expires_at
Any of:
string format: date-time
is_active
Is Active
boolean
default: true
Example
{
"is_active": true
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}